<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: SoundManagerBinding/soundmanager_binging/soundmanager.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('soundmanager_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">soundmanager.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;json-c/json.h&gt;</code><br />
<code>#include &lt;pthread.h&gt;</code><br />
<code>#include &lt;afb/afb-binding.h&gt;</code><br />
<code>#include &quot;sm-helper.h&quot;</code><br />
<code>#include &quot;dbus/audio_manager_interface.h&quot;</code><br />
</div>
<p><a href="soundmanager_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structevent.html">event</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a369266c24eacffb87046522897a570d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a369266c24eacffb87046522897a570d5">_GNU_SOURCE</a></td></tr>
<tr class="separator:a369266c24eacffb87046522897a570d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad25089fbfd55bf795bed283a5b283461"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#ad25089fbfd55bf795bed283a5b283461">AM_NAME</a>&#160;&#160;&#160;&quot;org.genivi.audiomanager&quot;</td></tr>
<tr class="separator:ad25089fbfd55bf795bed283a5b283461"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa98a8b4c63efeb6e209144e7b247291"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#afa98a8b4c63efeb6e209144e7b247291">AM_CMD_PATH</a>&#160;&#160;&#160;&quot;/org/genivi/audiomanager/commandinterface&quot;</td></tr>
<tr class="separator:afa98a8b4c63efeb6e209144e7b247291"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a50fb496af125690fb276944b3b4cff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a9a50fb496af125690fb276944b3b4cff">AM_ROUTE_PATH</a>&#160;&#160;&#160;&quot;/org/genivi/audiomanager/routinginterface&quot;</td></tr>
<tr class="separator:a9a50fb496af125690fb276944b3b4cff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b2ae077f774994129a3c231be6703a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a9b2ae077f774994129a3c231be6703a0">SOUND_MANAGER_NAME</a>&#160;&#160;&#160;&quot;org.soundmanager.genivi.routingsend&quot;</td></tr>
<tr class="separator:a9b2ae077f774994129a3c231be6703a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2690d3e2461f5a2f9bb0720d657280da"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a2690d3e2461f5a2f9bb0720d657280da">SOUND_MANAGER_PATH</a>&#160;&#160;&#160;&quot;org/soundmanager/genivi/routingsend&quot;</td></tr>
<tr class="separator:a2690d3e2461f5a2f9bb0720d657280da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09f43d9e7e1c5d2198c0d66024b4500e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a09f43d9e7e1c5d2198c0d66024b4500e">COMMAND_EVENT_NUM</a>&#160;&#160;&#160;10</td></tr>
<tr class="separator:a09f43d9e7e1c5d2198c0d66024b4500e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33d1c40de8a5e7a3d6f0e2f45de9f37f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a33d1c40de8a5e7a3d6f0e2f45de9f37f">ROUTING_EVENT_NUM</a>&#160;&#160;&#160;10</td></tr>
<tr class="separator:a33d1c40de8a5e7a3d6f0e2f45de9f37f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab29566f6eaf3523d21c1465a3ff71570"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#ab29566f6eaf3523d21c1465a3ff71570">MAX_LEN_STR</a>&#160;&#160;&#160;100</td></tr>
<tr class="separator:ab29566f6eaf3523d21c1465a3ff71570"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a88642b2e51aa08fd18fdfc8017c8d567"><td class="memItemLeft" align="right" valign="top">const struct afb_binding *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a88642b2e51aa08fd18fdfc8017c8d567">afbBindingV1Register</a> (const struct afb_binding_interface *itf)</td></tr>
<tr class="separator:a88642b2e51aa08fd18fdfc8017c8d567"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aace0247d919659df209ceb7dbeff6a2d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#aace0247d919659df209ceb7dbeff6a2d">afbBindingV1ServiceInit</a> (struct afb_service service)</td></tr>
<tr class="separator:aace0247d919659df209ceb7dbeff6a2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a369266c24eacffb87046522897a570d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a369266c24eacffb87046522897a570d5">&#9670;&nbsp;</a></span>_GNU_SOURCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _GNU_SOURCE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00017">17</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="afa98a8b4c63efeb6e209144e7b247291"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa98a8b4c63efeb6e209144e7b247291">&#9670;&nbsp;</a></span>AM_CMD_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AM_CMD_PATH&#160;&#160;&#160;&quot;/org/genivi/audiomanager/commandinterface&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00032">32</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="ad25089fbfd55bf795bed283a5b283461"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad25089fbfd55bf795bed283a5b283461">&#9670;&nbsp;</a></span>AM_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AM_NAME&#160;&#160;&#160;&quot;org.genivi.audiomanager&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00031">31</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a9a50fb496af125690fb276944b3b4cff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a50fb496af125690fb276944b3b4cff">&#9670;&nbsp;</a></span>AM_ROUTE_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AM_ROUTE_PATH&#160;&#160;&#160;&quot;/org/genivi/audiomanager/routinginterface&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00033">33</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a09f43d9e7e1c5d2198c0d66024b4500e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09f43d9e7e1c5d2198c0d66024b4500e">&#9670;&nbsp;</a></span>COMMAND_EVENT_NUM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define COMMAND_EVENT_NUM&#160;&#160;&#160;10</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00037">37</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="ab29566f6eaf3523d21c1465a3ff71570"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab29566f6eaf3523d21c1465a3ff71570">&#9670;&nbsp;</a></span>MAX_LEN_STR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAX_LEN_STR&#160;&#160;&#160;100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00039">39</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a33d1c40de8a5e7a3d6f0e2f45de9f37f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33d1c40de8a5e7a3d6f0e2f45de9f37f">&#9670;&nbsp;</a></span>ROUTING_EVENT_NUM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ROUTING_EVENT_NUM&#160;&#160;&#160;10</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00038">38</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a9b2ae077f774994129a3c231be6703a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b2ae077f774994129a3c231be6703a0">&#9670;&nbsp;</a></span>SOUND_MANAGER_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SOUND_MANAGER_NAME&#160;&#160;&#160;&quot;org.soundmanager.genivi.routingsend&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00034">34</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a2690d3e2461f5a2f9bb0720d657280da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2690d3e2461f5a2f9bb0720d657280da">&#9670;&nbsp;</a></span>SOUND_MANAGER_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SOUND_MANAGER_PATH&#160;&#160;&#160;&quot;org/soundmanager/genivi/routingsend&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00035">35</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a88642b2e51aa08fd18fdfc8017c8d567"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88642b2e51aa08fd18fdfc8017c8d567">&#9670;&nbsp;</a></span>afbBindingV1Register()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const struct afb_binding* afbBindingV1Register </td>
          <td>(</td>
          <td class="paramtype">const struct afb_binding_interface *&#160;</td>
          <td class="paramname"><em>itf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l01137">1137</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="aace0247d919659df209ceb7dbeff6a2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aace0247d919659df209ceb7dbeff6a2d">&#9670;&nbsp;</a></span>afbBindingV1ServiceInit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int afbBindingV1ServiceInit </td>
          <td>(</td>
          <td class="paramtype">struct afb_service&#160;</td>
          <td class="paramname"><em>service</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l01145">1145</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b967abc00200c877344b4504e6cbcf3f.html">SoundManagerBinding</a></li><li class="navelem"><a class="el" href="dir_85932083476b47061c69d172796990a3.html">soundmanager_binging</a></li><li class="navelem"><a class="el" href="soundmanager_8c.html">soundmanager.c</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
